%define name 	nc
%define version 1.10
%define release 15mdk

Summary: 	Reads and writes data across network connections using TCP or UDP.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
URL:		http://www.l0pht.com/~weld/netcat
Source0:	http://www.l0pht.com/~weld/netcat/nc110.tar.bz2
Source1: 	nc.1.bz2
Patch0: 	nc-arm.patch.bz2
Patch1: 	nc-1.10-resolv.patch.bz2
License: 	GPL
Group: 		Networking/Other
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
The nc package contains Netcat (the program is now netcat), a simple
utility for reading and writing data across network connections, using
the TCP or UDP protocols. Netcat is intended to be a reliable back-end
tool which can be used directly or easily driven by other programs and
scripts.  Netcat is also a feature-rich network debugging and exploration
tool, since it can create many different connections and has many
built-in capabilities.

You may want to install the netcat package if you are administering a
network and you'd like to use its debugging and network exploration
capabilities.

%prep
%setup -c -n nc -q
%ifarch arm
%patch0 -p1
%endif
%patch1 -p1

%build
#Make linux ids supported, but it makes a static binary. 
%make CFLAGS="$RPM_OPT_FLAGS" generic

%install
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{_prefix}
mkdir $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

cp nc $RPM_BUILD_ROOT%{_bindir}
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changelog
%doc scripts
%{_bindir}/nc
%{_mandir}/man1/nc*


%changelog
* Wed Jul 11 2001 Yves Duret <yduret@mandrakesoft.com> 1.10-15mdk
- updated source and url tag
- rebuild

* Mon Apr  9 2001 Yves Duret <yduret@mandrakesoft.com>  1.10-14mdk
- renamed back nc to nc :)
- added the man page
- added %%ifarch arm (yes arm!)

* Tue Mar 27 2001 Yves Duret <yduret@mandrakesoft.com> 1.10-13mdk
- rename nc to netcat (conflict with nedit) : patch2

* Tue Mar 27 2001 Yves Duret <yduret@mandrakesoft.com> 1.10-12mdk
- fixed header for new glibc (res_init()) : patch1

* Wed Dec 20 2000 Yves Duret <yduret@mandrakesoft.com> 1.10-11mdk
- macros

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.10-10mdk
- rebuild with macros

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Mon Apr 10 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Fixed error in Group 

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Wed Nov 10 1999 Jerome Martin <jerome@mandrakesoft.com>
- Build for new environment

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- make it build on the arm

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
